# DataExchange
TKIGES
IGESGraph

# IGESGraph_Color Class Reference

defines IGESColor, Type <314> Form <0>
in package IGESGraph

`#include <IGESGraph_Color.hxx>`

Inheritance diagram for IGESGraph_Color:

[legend]

## Public Member Functions

Standard_EXPORT | IGESGraph_Color ()
Standard_EXPORT void | Init (const Standard_Real red, const Standard_Real green, const Standard_Real blue, const Handle(TCollection_HAsciiString)&aColorName)
| This method is used to set the fields of the class Color - red : Red color intensity (range 0.0 to 100.0) - green : Green color intensity (range 0.0 to 100.0) - blue : Blue color intensity (range 0.0 to 100.0) - aColorName : Name of the color (optional) .
Standard_EXPORT void | RGBIntensity (Standard_Real &Red, Standard_Real &Green, Standard_Real &Blue) const
Standard_EXPORT void | CMYIntensity (Standard_Real &Cyan, Standard_Real &Magenta, Standard_Real &Yellow) const
Standard_EXPORT void | HLSPercentage (Standard_Real &Hue, Standard_Real &Lightness, Standard_Real &Saturation) const
Standard_EXPORT Standard_Boolean | HasColorName () const
| returns True if optional character string is assigned, False otherwise.
Standard_EXPORT Handle_TCollection_HAsciiString | ColorName () const
| if HasColorName() is True returns the Verbal description of the Color.
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | theRed
Standard_Real | theGreen
Standard_Real | theBlue
Handle_TCollection_HAsciiString | theColorName

## Constructor & Destructor Documentation

Standard_EXPORT IGESGraph_Color::IGESGraph_Color | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void IGESGraph_Color::CMYIntensity | ( | Standard_Real & | Cyan,
|  | Standard_Real & | Magenta,
|  | Standard_Real & | Yellow
| ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESGraph_Color::ColorName | ( |  | ) | const

Standard_EXPORT const IGESGraph_Color::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_ColorEntity.

Standard_EXPORT Standard_Boolean IGESGraph_Color::HasColorName | ( |  | ) | const

Standard_EXPORT void IGESGraph_Color::HLSPercentage | ( | Standard_Real & | Hue,
|  | Standard_Real & | Lightness,
|  | Standard_Real & | Saturation
| ) | const

Standard_EXPORT void IGESGraph_Color::Init | ( | const Standard_Real | red,
|  | const Standard_Real | green,
|  | const Standard_Real | blue,
|  | const Handle(TCollection_HAsciiString)& | aColorName
| ) |

Standard_EXPORT void IGESGraph_Color::RGBIntensity | ( | Standard_Real & | Red,
|  | Standard_Real & | Green,
|  | Standard_Real & | Blue
| ) | const

## Field Documentation

Standard_Real IGESGraph_Color::theBlue `[private]`

Handle_TCollection_HAsciiString IGESGraph_Color::theColorName `[private]`

Standard_Real IGESGraph_Color::theGreen `[private]`

Standard_Real IGESGraph_Color::theRed `[private]`

The documentation for this class was generated from the following file:

- IGESGraph_Color.hxx